Package org.eclipse.mat.parser.internal.snapshot

# Class PathsFromGCRootsTreeBuilder

java.lang.Object
org.eclipse.mat.parser.internal.snapshot.PathsFromGCRootsTreeBuilder

public class PathsFromGCRootsTreeBuilder extends Object

## Constructor Summary

Constructors
Constructor
Description
`PathsFromGCRootsTreeBuilder(int ownId)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addObjectReferer(PathsFromGCRootsTreeBuilder referer)`
`HashMap<Integer,PathsFromGCRootsTreeBuilder>`
`getObjectReferers()`
`int`
`getOwnId()`
`PathsFromGCRootsTree`
`toPathsFromGCRootsTree()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PathsFromGCRootsTreeBuilder

public PathsFromGCRootsTreeBuilder(int ownId)

## Method Details

### getObjectReferers

public HashMap<Integer,PathsFromGCRootsTreeBuilder> getObjectReferers()

### toPathsFromGCRootsTree

public PathsFromGCRootsTree toPathsFromGCRootsTree()

### getOwnId

public int getOwnId()

### addObjectReferer

public void addObjectReferer(PathsFromGCRootsTreeBuilder referer)